Bug 387612 - IMAP gmail request OAUTH authntication with no user request
Summary: IMAP gmail request OAUTH authntication with no user request
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: 5.7.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Mollekopf
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-05 07:17 UTC by boris.sh.1983+kde.bugzilla
Modified: 2018-08-27 23:02 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description boris.sh.1983+kde.bugzilla 2017-12-05 07:17:14 UTC
After a recent upgrade to Kmail2 5.6.0 I have witnessed that the IMAP akonadi resource had requested to use OAUTH2 without any action from the user - I expected an option to enable OAUTH2 or to switch out of username / password not just a popup that asks for a username /password. 

There is no clear way to revoke the persmission from the client side.

All connection settings are grayed out in kmail.

akonadi 17.08
Comment 1 platus.x+kdebugs 2018-03-14 20:13:27 UTC
I can confirm that as of 5.7.2 this bug still exists. Whenever the user's IMAP server is "imap.google.com" it forces all the other server settings to be disabled and repeatedly tries to do Google OAuth without asking.
Comment 2 Daniel Vrátil 2018-08-27 23:02:56 UTC
This has been relaxed in recent versions. IMAP will still prefer XOAUTH authentication if it's supported by the server (Gmail), but allows users to choose alternative authentication methods if they wish.